Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qdmlRoot
Class SetRoot

    java.lang.Object
      |
      +--com.jxml.quick.util.qdmlRoot.SetRoot

All Implemented Interfaces:
  Item

public class SetRoot
extends Object
implements Item

Constructor Summary
`SetRoot()`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` This method can be invoked by config. in - the (required) property naming the QDML document to be updated root - the (required) property naming the root element out - the (optional) property naming the output file.
`static void` | `main(String[] args)` Sets the root attribute in a qdml file. args[0] - The qdml input file. args[1] - The root element name. args[2] - The qdml output file.
`String` | `update(String input, String root)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetRoot

    public SetRoot()

Method Detail

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  This method can be invoked by config.
  in - the (required) property naming the QDML document to be updated
  root - the (required) property naming the root element
  out - the (optional) property naming the output file.
  Specified by:
    `eval` in interface `Item`

### update

    public String update(String input,
                         String root)
                  throws Throwable

### main

    public static void main(String[] args)

  Sets the root attribute in a qdml file.
  args[0] - The qdml input file.
  args[1] - The root element name.
  args[2] - The qdml output file. (optional)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD